## osso-rtsol 1.4

=== debian/changelog ===
osso-rtsol (1.4) fremantle; urgency=low

  * Builded for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 03 Jun 2012 23:52:05 +0200

osso-rtsol (1.4) unstable; urgency=low

  * Added return code handling and -q option

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 10 Jan 2008 13:09:33 +0200

osso-rtsol (1.3) unstable; urgency=low

  * More lintian fixes

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  3 Oct 2007 10:07:01 +0300

osso-rtsol (1.2) unstable; urgency=low

  * Lintian error fixed

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  2 Oct 2007 16:37:31 +0300

osso-rtsol (1.1) unstable; urgency=low

  * Fixed configure.ac

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  2 Oct 2007 16:06:57 +0300

osso-rtsol (1.0) unstable; urgency=low

  * Initial release.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 21 Nov 2006 15:25:03 +0300
