=== debian/control ===
Source: osso-rtsol
Section: comm
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
XSBC-Original-Maintainer: Jukka Rissanen <jukka.rissanen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: osso-rtsol
Architecture: any
Depends: ${shlibs:Depends}
Description: Send IPv6 router solicitation messages and receive router
 advertisement replies

Package: osso-rtsol-dbg
Architecture: any
Depends: osso-rtsol (= ${Source-Version})
Description: Debug symbols for osso-rtsol
 .
