=== debian/rules ===
#!/usr/bin/make -f

PKG_DIR=osso-rtsol

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
else
# Use soft-float and thumb mode if no hard float enabled
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
endif

configure: configure-stamp
configure-stamp:

	dh_testdir
	CFLAGS="$(CFLAGS)" ./autogen.sh --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/sbin --disable-profiling --disable-static
	touch configure-stamp

build: configure build-stamp
build-stamp:

	dh_testdir
	$(MAKE)
	touch build-stamp

clean:

	dh_testdir
	dh_testroot

	-rm -f configure-stamp build-stamp 

	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: build

	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install
binary-arch: build install

	dh_testdir
	dh_testroot
	dh_gconf -a
#	dh_installdocs -a AUTHORS NEWS README THANKS
#	dh_installmenu -a
#	dh_installchangelogs ChangeLog -a
	dh_installchangelogs -a
	dh_install --sourcedir=debian/tmp -v
	dh_installinit
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=osso-rtsol
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -V -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
